package b4a.ClassDraw;


import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.B4AClass;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.debug.*;

public class circle extends B4AClass.ImplB4AClass implements BA.SubDelegator{
    private static java.util.HashMap<String, java.lang.reflect.Method> htSubs;
    private void innerInitialize(BA _ba) throws Exception {
        if (ba == null) {
            ba = new anywheresoftware.b4a.ShellBA(_ba, this, htSubs, "b4a.ClassDraw.circle");
            if (htSubs == null) {
                ba.loadHtSubs(this.getClass());
                htSubs = ba.htSubs;
            }
            
        }
        if (BA.isShellModeRuntimeCheck(ba)) 
			   this.getClass().getMethod("_class_globals", b4a.ClassDraw.circle.class).invoke(this, new Object[] {null});
        else
            ba.raiseEvent2(null, true, "class_globals", false);
    }

 
    public void  innerInitializeHelper(anywheresoftware.b4a.BA _ba) throws Exception{
        innerInitialize(_ba);
    }
    public Object callSub(String sub, Object sender, Object[] args) throws Exception {
        return BA.SubDelegator.SubNotFound;
    }
public anywheresoftware.b4a.keywords.Common __c = null;
public int _mx = 0;
public int _my = 0;
public int _mradius = 0;
public b4a.ClassDraw.main _main = null;
public b4a.ClassDraw.starter _starter = null;
public String  _initialize(b4a.ClassDraw.circle __ref,anywheresoftware.b4a.BA _ba,anywheresoftware.b4a.objects.collections.List _shapes,int _x,int _y,int _radius) throws Exception{
__ref = this;
innerInitialize(_ba);
RDebugUtils.currentModule="circle";
if (Debug.shouldDelegate(ba, "initialize"))
	return (String) Debug.delegate(ba, "initialize", new Object[] {_ba,_shapes,_x,_y,_radius});
RDebugUtils.currentLine=1048576;
 //BA.debugLineNum = 1048576;BA.debugLine="Sub Initialize (Shapes As List, x As Int, y As Int";
RDebugUtils.currentLine=1048577;
 //BA.debugLineNum = 1048577;BA.debugLine="mx = x";
__ref._mx = _x;
RDebugUtils.currentLine=1048578;
 //BA.debugLineNum = 1048578;BA.debugLine="my = y";
__ref._my = _y;
RDebugUtils.currentLine=1048579;
 //BA.debugLineNum = 1048579;BA.debugLine="mRadius = Radius";
__ref._mradius = _radius;
RDebugUtils.currentLine=1048580;
 //BA.debugLineNum = 1048580;BA.debugLine="Shapes.Add(Me)";
_shapes.Add(this);
RDebugUtils.currentLine=1048581;
 //BA.debugLineNum = 1048581;BA.debugLine="End Sub";
return "";
}
public String  _draw(b4a.ClassDraw.circle __ref,anywheresoftware.b4a.objects.drawable.CanvasWrapper _cvs) throws Exception{
__ref = this;
RDebugUtils.currentModule="circle";
if (Debug.shouldDelegate(ba, "draw"))
	return (String) Debug.delegate(ba, "draw", new Object[] {_cvs});
RDebugUtils.currentLine=1114112;
 //BA.debugLineNum = 1114112;BA.debugLine="Sub Draw(cvs As Canvas)";
RDebugUtils.currentLine=1114113;
 //BA.debugLineNum = 1114113;BA.debugLine="cvs.DrawCircle(mx, my, mRadius, Colors.Blue, Fals";
_cvs.DrawCircle((float) (__ref._mx),(float) (__ref._my),(float) (__ref._mradius),__c.Colors.Blue,__c.False,(float) (__c.DipToCurrent((int) (1))));
RDebugUtils.currentLine=1114114;
 //BA.debugLineNum = 1114114;BA.debugLine="End Sub";
return "";
}
public String  _class_globals(b4a.ClassDraw.circle __ref) throws Exception{
__ref = this;
RDebugUtils.currentModule="circle";
RDebugUtils.currentLine=983040;
 //BA.debugLineNum = 983040;BA.debugLine="Sub Class_Globals";
RDebugUtils.currentLine=983041;
 //BA.debugLineNum = 983041;BA.debugLine="Private mx, my, mRadius As Int";
_mx = 0;
_my = 0;
_mradius = 0;
RDebugUtils.currentLine=983042;
 //BA.debugLineNum = 983042;BA.debugLine="End Sub";
return "";
}
}